using System;
using System.Windows.Forms;
using Microsoft.ApplicationBlocks.ExceptionManagement;
namespace Photo_Editor_Application
{
	/// <summary>
	/// ExceptionPublisher, customizes the exception publishing functionality 
	/// provided by the Microsoft Application
	/// Building Block. The exceptions are displayed in a message box on the screen, 
	/// providing meaningful error descriptions.
	/// </summary>
	/// <requirement>F:error_handling</requirement>
	public class ExceptionPublisher : IExceptionPublisher
	{
		#region IExceptionPublisher Members
		/// <summary>
		/// Custom Publisher, displays error message on screen.
		/// </summary>
		/// <param name="exception">Exception, containing meaningful
		/// error message</param>
		/// <param name="additionalInfo">Provides additional info
		/// about the exception</param>
		/// <param name="configSettings">Describes the config 
		/// settings defined in the app.config file</param>
		public void Publish(Exception exception,
			System.Collections.Specialized.NameValueCollection 
			additionalInfo, 
			System.Collections.Specialized.NameValueCollection 
			configSettings)
		{
			// TODO:  Add ExceptionPublisher.Publish implementation
			string caption = "Photo Editor";
			DialogResult result;

			// Displays the MessageBox.
		
			result = MessageBox.Show( exception.Message, caption,
				MessageBoxButtons.OK,
				MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, 
				MessageBoxOptions.RightAlign);
		}
		#endregion

		//
		// TODO: Add constructor logic here
		//
	}
}
