using System;
using System.Drawing;

namespace Photo_Editor_Application
{
    /// <summary>
    /// Draws a rectangle which will be used as
    /// Region of interest.
    /// </summary>
    public class ROIComponent : GraphicsComponent
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public ROIComponent()
        {

        }
        /// <summary>
        /// Draws a rectangle which is used as region of interest.
        /// </summary>
        public override void Draw()
        {
            int width =  CalcViewportCoords(EndPoint).X - CalcViewportCoords(StartPoint).X;
            int height = CalcViewportCoords(EndPoint).Y - CalcViewportCoords(StartPoint).Y;

            if(width < 0 && height < 0)
                DeviceContext.DrawRectangle(Pens.Gray, CalcViewportCoords(EndPoint).X, CalcViewportCoords(EndPoint).Y, 
                    Math.Abs(width), Math.Abs(height));
            else if (width < 0)
                DeviceContext.DrawRectangle(Pens.Gray, CalcViewportCoords(EndPoint).X, CalcViewportCoords(StartPoint).Y, 
                    Math.Abs(width), height);
            else if (height < 0)
                DeviceContext.DrawRectangle(Pens.Gray, CalcViewportCoords(StartPoint).X, CalcViewportCoords(EndPoint).Y, 
                    width, Math.Abs(height));
            else 
                DeviceContext.DrawRectangle(Pens.Gray, CalcViewportCoords(StartPoint).X, CalcViewportCoords(StartPoint).Y, 
                    width, height);
        }
    }

}
